<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_13) on Fri Feb 08 19:40:56 CET 2008 -->
<META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<TITLE>
HeaderElement (HttpClient 3.1 API)
</TITLE>

<META NAME="keywords" CONTENT="org.apache.commons.httpclient.HeaderElement class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="HeaderElement (HttpClient 3.1 API)";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/HeaderElement.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../org/apache/commons/httpclient/Header.html" title="class in org.apache.commons.httpclient"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../org/apache/commons/httpclient/HeaderGroup.html" title="class in org.apache.commons.httpclient"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/apache/commons/httpclient/HeaderElement.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="HeaderElement.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.commons.httpclient</FONT>
<BR>
Class HeaderElement</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../org/apache/commons/httpclient/NameValuePair.html" title="class in org.apache.commons.httpclient">org.apache.commons.httpclient.NameValuePair</A>
      <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>org.apache.commons.httpclient.HeaderElement</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Serializable.html" title="class or interface in java.io">Serializable</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <B>HeaderElement</B><DT>extends <A HREF="../../../../org/apache/commons/httpclient/NameValuePair.html" title="class in org.apache.commons.httpclient">NameValuePair</A></DL>
</PRE>

<P>
<p>One element of an HTTP header's value.</p>
 <p>
 Some HTTP headers (such as the set-cookie header) have values that
 can be decomposed into multiple elements.  Such headers must be in the
 following form:
 </p>
 <pre>
 header  = [ element ] *( "," [ element ] )
 element = name [ "=" [ value ] ] *( ";" [ param ] )
 param   = name [ "=" [ value ] ]

 name    = token
 value   = ( token | quoted-string )

 token         = 1*&lt;any char except "=", ",", ";", &lt;"&gt; and
                       white space&gt;
 quoted-string = &lt;"&gt; *( text | quoted-char ) &lt;"&gt;
 text          = any char except &lt;"&gt;
 quoted-char   = "\" char
 </pre>
 <p>
 Any amount of white space is allowed between any part of the
 header, element or param and is ignored. A missing value in any
 element or param will be stored as the empty <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang"><CODE>String</CODE></A>;
 if the "=" is also missing <var>null</var> will be stored instead.
 </p>
 <p>
 This class represents an individual header element, containing
 both a name/value pair (value may be <tt>null</tt>) and optionally
 a set of additional parameters.
 </p>
 <p>
 This class also exposes a <A HREF="../../../../org/apache/commons/httpclient/HeaderElement.html#parse(java.lang.String)"><CODE>parse(java.lang.String)</CODE></A> method for parsing a
 <A HREF="../../../../org/apache/commons/httpclient/Header.html" title="class in org.apache.commons.httpclient"><CODE>Header</CODE></A> value into an array of elements.
 </p>
<P>

<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>1.0</DD>
<DT><B>Version:</B></DT>
  <DD>$Revision$ $Date$</DD>
<DT><B>Author:</B></DT>
  <DD><a href="mailto:bcholmes@interlog.com">B.C. Holmes</a>, <a href="mailto:jericho@thinkfree.com">Park, Sung-Gu</a>, <a href="mailto:mbowler@GargoyleSoftware.com">Mike Bowler</a>, <a href="mailto:oleg@ural.com">Oleg Kalnichevski</a></DD>
<DT><B>See Also:</B><DD><A HREF="../../../../org/apache/commons/httpclient/Header.html" title="class in org.apache.commons.httpclient"><CODE>Header</CODE></A>, 
<A HREF="../../../../serialized-form.html#org.apache.commons.httpclient.HeaderElement">Serialized Form</A></DL>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../org/apache/commons/httpclient/HeaderElement.html#HeaderElement()">HeaderElement</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Default constructor.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../org/apache/commons/httpclient/HeaderElement.html#HeaderElement(char[])">HeaderElement</A></B>(char[]&nbsp;chars)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor with array of characters.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../org/apache/commons/httpclient/HeaderElement.html#HeaderElement(char[], int, int)">HeaderElement</A></B>(char[]&nbsp;chars,
              int&nbsp;offset,
              int&nbsp;length)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor with array of characters.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../org/apache/commons/httpclient/HeaderElement.html#HeaderElement(java.lang.String, java.lang.String)">HeaderElement</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name,
              <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../org/apache/commons/httpclient/HeaderElement.html#HeaderElement(java.lang.String, java.lang.String, org.apache.commons.httpclient.NameValuePair[])">HeaderElement</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name,
              <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;value,
              <A HREF="../../../../org/apache/commons/httpclient/NameValuePair.html" title="class in org.apache.commons.httpclient">NameValuePair</A>[]&nbsp;parameters)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor with name, value and parameters.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/commons/httpclient/NameValuePair.html" title="class in org.apache.commons.httpclient">NameValuePair</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/commons/httpclient/HeaderElement.html#getParameterByName(java.lang.String)">getParameterByName</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns parameter with the given name, if found.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/commons/httpclient/NameValuePair.html" title="class in org.apache.commons.httpclient">NameValuePair</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/commons/httpclient/HeaderElement.html#getParameters()">getParameters</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Get parameters, if any.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../org/apache/commons/httpclient/HeaderElement.html" title="class in org.apache.commons.httpclient">HeaderElement</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/commons/httpclient/HeaderElement.html#parse(java.lang.String)">parse</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;headerValue)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>Use #parseElements(String).</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../org/apache/commons/httpclient/HeaderElement.html" title="class in org.apache.commons.httpclient">HeaderElement</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/commons/httpclient/HeaderElement.html#parseElements(char[])">parseElements</A></B>(char[]&nbsp;headerValue)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;This parses the value part of a header.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../org/apache/commons/httpclient/HeaderElement.html" title="class in org.apache.commons.httpclient">HeaderElement</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/commons/httpclient/HeaderElement.html#parseElements(java.lang.String)">parseElements</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;headerValue)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;This parses the value part of a header.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.commons.httpclient.NameValuePair"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.apache.commons.httpclient.<A HREF="../../../../org/apache/commons/httpclient/NameValuePair.html" title="class in org.apache.commons.httpclient">NameValuePair</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../org/apache/commons/httpclient/NameValuePair.html#equals(java.lang.Object)">equals</A>, <A HREF="../../../../org/apache/commons/httpclient/NameValuePair.html#getName()">getName</A>, <A HREF="../../../../org/apache/commons/httpclient/NameValuePair.html#getValue()">getValue</A>, <A HREF="../../../../org/apache/commons/httpclient/NameValuePair.html#hashCode()">hashCode</A>, <A HREF="../../../../org/apache/commons/httpclient/NameValuePair.html#setName(java.lang.String)">setName</A>, <A HREF="../../../../org/apache/commons/httpclient/NameValuePair.html#setValue(java.lang.String)">setValue</A>, <A HREF="../../../../org/apache/commons/httpclient/NameValuePair.html#toString()">toString</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="HeaderElement()"><!-- --></A><H3>
HeaderElement</H3>
<PRE>
public <B>HeaderElement</B>()</PRE>
<DL>
<DD>Default constructor.
<P>
</DL>
<HR>

<A NAME="HeaderElement(java.lang.String, java.lang.String)"><!-- --></A><H3>
HeaderElement</H3>
<PRE>
public <B>HeaderElement</B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name,
                     <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;value)</PRE>
<DL>
<DD>Constructor.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - my name<DD><CODE>value</CODE> - my (possibly <tt>null</tt>) value</DL>
</DL>
<HR>

<A NAME="HeaderElement(java.lang.String, java.lang.String, org.apache.commons.httpclient.NameValuePair[])"><!-- --></A><H3>
HeaderElement</H3>
<PRE>
public <B>HeaderElement</B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name,
                     <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;value,
                     <A HREF="../../../../org/apache/commons/httpclient/NameValuePair.html" title="class in org.apache.commons.httpclient">NameValuePair</A>[]&nbsp;parameters)</PRE>
<DL>
<DD>Constructor with name, value and parameters.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - my name<DD><CODE>value</CODE> - my (possibly <tt>null</tt>) value<DD><CODE>parameters</CODE> - my (possibly <tt>null</tt>) parameters</DL>
</DL>
<HR>

<A NAME="HeaderElement(char[], int, int)"><!-- --></A><H3>
HeaderElement</H3>
<PRE>
public <B>HeaderElement</B>(char[]&nbsp;chars,
                     int&nbsp;offset,
                     int&nbsp;length)</PRE>
<DL>
<DD>Constructor with array of characters.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>chars</CODE> - the array of characters<DD><CODE>offset</CODE> - - the initial offset.<DD><CODE>length</CODE> - - the length.<DT><B>Since:</B></DT>
  <DD>3.0</DD>
</DL>
</DL>
<HR>

<A NAME="HeaderElement(char[])"><!-- --></A><H3>
HeaderElement</H3>
<PRE>
public <B>HeaderElement</B>(char[]&nbsp;chars)</PRE>
<DL>
<DD>Constructor with array of characters.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>chars</CODE> - the array of characters<DT><B>Since:</B></DT>
  <DD>3.0</DD>
</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getParameters()"><!-- --></A><H3>
getParameters</H3>
<PRE>
public <A HREF="../../../../org/apache/commons/httpclient/NameValuePair.html" title="class in org.apache.commons.httpclient">NameValuePair</A>[] <B>getParameters</B>()</PRE>
<DL>
<DD>Get parameters, if any.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>parameters as an array of <A HREF="../../../../org/apache/commons/httpclient/NameValuePair.html" title="class in org.apache.commons.httpclient"><CODE>NameValuePair</CODE></A>s<DT><B>Since:</B></DT>
  <DD>2.0</DD>
</DL>
</DD>
</DL>
<HR>

<A NAME="parseElements(char[])"><!-- --></A><H3>
parseElements</H3>
<PRE>
public static final <A HREF="../../../../org/apache/commons/httpclient/HeaderElement.html" title="class in org.apache.commons.httpclient">HeaderElement</A>[] <B>parseElements</B>(char[]&nbsp;headerValue)</PRE>
<DL>
<DD>This parses the value part of a header. The result is an array of
 HeaderElement objects.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>headerValue</CODE> - the array of char representation of the header value
                     (as received from the web server).
<DT><B>Returns:</B><DD>array of <A HREF="../../../../org/apache/commons/httpclient/HeaderElement.html" title="class in org.apache.commons.httpclient"><CODE>HeaderElement</CODE></A>s.<DT><B>Since:</B></DT>
  <DD>3.0</DD>
</DL>
</DD>
</DL>
<HR>

<A NAME="parseElements(java.lang.String)"><!-- --></A><H3>
parseElements</H3>
<PRE>
public static final <A HREF="../../../../org/apache/commons/httpclient/HeaderElement.html" title="class in org.apache.commons.httpclient">HeaderElement</A>[] <B>parseElements</B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;headerValue)</PRE>
<DL>
<DD>This parses the value part of a header. The result is an array of
 HeaderElement objects.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>headerValue</CODE> - the string representation of the header value
                     (as received from the web server).
<DT><B>Returns:</B><DD>array of <A HREF="../../../../org/apache/commons/httpclient/HeaderElement.html" title="class in org.apache.commons.httpclient"><CODE>HeaderElement</CODE></A>s.<DT><B>Since:</B></DT>
  <DD>3.0</DD>
</DL>
</DD>
</DL>
<HR>

<A NAME="parse(java.lang.String)"><!-- --></A><H3>
parse</H3>
<PRE>
public static final <A HREF="../../../../org/apache/commons/httpclient/HeaderElement.html" title="class in org.apache.commons.httpclient">HeaderElement</A>[] <B>parse</B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;headerValue)
                                   throws <A HREF="../../../../org/apache/commons/httpclient/HttpException.html" title="class in org.apache.commons.httpclient">HttpException</A></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>Use #parseElements(String).</I>
<P>
<DD>This parses the value part of a header. The result is an array of
 HeaderElement objects.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>headerValue</CODE> - the string representation of the header value
                     (as received from the web server).
<DT><B>Returns:</B><DD>array of <A HREF="../../../../org/apache/commons/httpclient/HeaderElement.html" title="class in org.apache.commons.httpclient"><CODE>HeaderElement</CODE></A>s.
<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../org/apache/commons/httpclient/HttpException.html" title="class in org.apache.commons.httpclient">HttpException</A></CODE> - if the above syntax rules are violated.</DL>
</DD>
</DL>
<HR>

<A NAME="getParameterByName(java.lang.String)"><!-- --></A><H3>
getParameterByName</H3>
<PRE>
public <A HREF="../../../../org/apache/commons/httpclient/NameValuePair.html" title="class in org.apache.commons.httpclient">NameValuePair</A> <B>getParameterByName</B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name)</PRE>
<DL>
<DD>Returns parameter with the given name, if found. Otherwise null 
 is returned
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - The name to search by.
<DT><B>Returns:</B><DD>NameValuePair parameter with the given name</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/HeaderElement.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../org/apache/commons/httpclient/Header.html" title="class in org.apache.commons.httpclient"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../org/apache/commons/httpclient/HeaderGroup.html" title="class in org.apache.commons.httpclient"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/apache/commons/httpclient/HeaderElement.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="HeaderElement.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &copy; 2001-2008 Apache Software Foundation. All Rights Reserved.
</BODY>
</HTML>
